summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-02-21 16:46:50 -0700
committerEd Kern <ejk@cisco.com>2018-02-21 16:46:50 -0700
commitd253c2d7fd9d9b91a174406fc459c8cdbbecbe48 (patch)
treee9e08c46f1d0762c94aae7ac92a388df8a04fb81 /jjb/scripts/setup_vpp_ubuntu_docker_test.sh
parent0a020d60ba73d0ae68805571f99dbb777759b851 (diff)
VPP: add container server detection
Adding grep one-liner to detect server node where container build is happening since we may want that information long after the build happened Change-Id: Iad26c06ac659998f6ac1b3563660ca77eb817e55 Signed-off-by: Ed Kern <ejk@cisco.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 090913966..d7a2ee16f 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -16,6 +16,9 @@ if ! [ -z ${DOCKER_TEST} ] ; then
echo "/dev/shm remounted"
fi
+##container server node detection
+grep search /etc/resolv.conf || true
+
if [ "${OS_ID}" == "ubuntu" ]; then
dpkg-query -W -f='${binary:Package}\t${Version}\n' || true
pip list || true
@@ -26,6 +29,7 @@ elif [ "${OS_ID}" == "opensuse" ]; then
yum list installed || true
pip list || true
fi
+
if [ "x${IS_CSIT_VPP_JOB}" == "xTrue" ]; then
(cd dpdk ; apt-get download vpp-dpdk-dkms > /dev/null 2>&1) || true
ls -l dpdk/*.deb || true